#pragma once

#include <vector>
#include <filesystem>

using Path = std::filesystem::path;

class Directory
{
public:
    static void createIfNotExisting(const Path& path);

    static std::vector<Path> getFilesWithExtension(const Path& path, const std::string& extension, bool recursive=false);
};
