#include "Path.h"

GeometryPath::~GeometryPath()
{

}

const std::vector<GeometryPathFeaturePtr>& GeometryPath::getFeatures() const
{
	return mFeatures;
}


void GeometryPath::addFeature(GeometryPathFeaturePtr feature)
{
	mFeatures.push_back(std::move(feature));
}

Bounds GeometryPath::getBounds() const
{
	return {};
}

GeometryPath::Type GeometryPath::getType() const
{
	return GeometryPath::Type::PATH;
}