#pragma once

#include "ITheme.h"
#include "Color.h"

#include <unordered_map>

class LightTheme : public ITheme
{
public:
	Color getColor(Theme::Sys::Color token) const override;

private:
	static const std::unordered_map<Theme::Sys::Color, Theme::Ref::Color> mPalette;
};