#pragma once

#include "Point.h"

#include <string>

class PointParser
{
public:
    static std::string toString(const Point2& p, const std::string& delimiter = " ", std::size_t precision = 0);

    static std::string toString(const Vector2& v, const std::string& delimiter = " ", std::size_t precision = 0);

    static std::string toString(double x, double y, const std::string& delimiter = " ", std::size_t precision = 0);

    static std::string toString(double x, std::size_t precision = 0);
};
